<script>
import NavBar from "./nav-bar";
import SideNav from "./side-nav";
import simplebar from "simplebar-vue";
import NavBarOption from "./nav-bar-option";

export default {
  components: { NavBar, SideNav, simplebar, NavBarOption },
  props: {
    isCondensed: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      settings: {
        minScrollbarLength: 60
      }
    };
  },

  methods: {
    toggleMenu() {
      this.$parent.toggleMenu();
    },
  }
};
</script>

<template>
  <div class="sidebar-main">
    <!-- ========== Left Sidebar Start ========== -->
    <div class="vertical-menu">
      <simplebar v-if="!isCondensed" class="h-100">
        <SideNav />
      </simplebar>

      <simplebar v-else class="h-100">
        <SideNav />
      </simplebar>
      <NavBarOption/>
    </div>
  </div>
  <!-- Left Sidebar End -->
</template>
<style>
@media (min-width:992px) {
  .sidebar-main {
    position: fixed;
    z-index: 9;
  }
}

@media (max-width:991px) {
  .sidebar-main #vertical-menu-btn {
    position: fixed;
    right: 10px;
    top: -5px;
    z-index: 11111;
  }

  .header-new {
    padding-right: 40px;

  }
}
</style>
